<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_RentacarLocationContentRQ StructType
 * @subpackage Structs
 */
class JP_RentacarLocationContentRQ extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_Login
     */
    public $Login;
    /**
     * The RentacarLocationContentList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RentacarLocationSimpleContent
     */
    public $RentacarLocationContentList;
    /**
     * The RestrictedOptions
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RestrictedOptions
     */
    public $RestrictedOptions;
    /**
     * The Version
     * @var string
     */
    public $Version;
    /**
     * The Language
     * @var string
     */
    public $Language;
    /**
     * Constructor method for JP_RentacarLocationContentRQ
     * @uses JP_RentacarLocationContentRQ::setLogin()
     * @uses JP_RentacarLocationContentRQ::setRentacarLocationContentList()
     * @uses JP_RentacarLocationContentRQ::setRestrictedOptions()
     * @uses JP_RentacarLocationContentRQ::setVersion()
     * @uses JP_RentacarLocationContentRQ::setLanguage()
     * @param \StructType\JP_Login $login
     * @param \ArrayType\ArrayOfJP_RentacarLocationSimpleContent $rentacarLocationContentList
     * @param \StructType\JP_RestrictedOptions $restrictedOptions
     * @param string $version
     * @param string $language
     */
    public function __construct(\StructType\JP_Login $login = null, \ArrayType\ArrayOfJP_RentacarLocationSimpleContent $rentacarLocationContentList = null, \StructType\JP_RestrictedOptions $restrictedOptions = null, $version = null, $language = null)
    {
        $this
            ->setLogin($login)
            ->setRentacarLocationContentList($rentacarLocationContentList)
            ->setRestrictedOptions($restrictedOptions)
            ->setVersion($version)
            ->setLanguage($language);
    }
    /**
     * Get Login value
     * @return \StructType\JP_Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\JP_Login $login
     * @return \StructType\JP_RentacarLocationContentRQ
     */
    public function setLogin(\StructType\JP_Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get RentacarLocationContentList value
     * @return \ArrayType\ArrayOfJP_RentacarLocationSimpleContent|null
     */
    public function getRentacarLocationContentList()
    {
        return $this->RentacarLocationContentList;
    }
    /**
     * Set RentacarLocationContentList value
     * @param \ArrayType\ArrayOfJP_RentacarLocationSimpleContent $rentacarLocationContentList
     * @return \StructType\JP_RentacarLocationContentRQ
     */
    public function setRentacarLocationContentList(\ArrayType\ArrayOfJP_RentacarLocationSimpleContent $rentacarLocationContentList = null)
    {
        $this->RentacarLocationContentList = $rentacarLocationContentList;
        return $this;
    }
    /**
     * Get RestrictedOptions value
     * @return \StructType\JP_RestrictedOptions|null
     */
    public function getRestrictedOptions()
    {
        return $this->RestrictedOptions;
    }
    /**
     * Set RestrictedOptions value
     * @param \StructType\JP_RestrictedOptions $restrictedOptions
     * @return \StructType\JP_RentacarLocationContentRQ
     */
    public function setRestrictedOptions(\StructType\JP_RestrictedOptions $restrictedOptions = null)
    {
        $this->RestrictedOptions = $restrictedOptions;
        return $this;
    }
    /**
     * Get Version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->Version;
    }
    /**
     * Set Version value
     * @param string $version
     * @return \StructType\JP_RentacarLocationContentRQ
     */
    public function setVersion($version = null)
    {
        // validation for constraint: string
        if (!is_null($version) && !is_string($version)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($version, true), gettype($version)), __LINE__);
        }
        $this->Version = $version;
        return $this;
    }
    /**
     * Get Language value
     * @return string|null
     */
    public function getLanguage()
    {
        return $this->Language;
    }
    /**
     * Set Language value
     * @param string $language
     * @return \StructType\JP_RentacarLocationContentRQ
     */
    public function setLanguage($language = null)
    {
        // validation for constraint: string
        if (!is_null($language) && !is_string($language)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($language, true), gettype($language)), __LINE__);
        }
        $this->Language = $language;
        return $this;
    }
}
